ProsperCart® verkkokauppaohjelmiston palvelinvaatimukset

Jos verkkokaupan hosting halutaan järjestää jossain muualla kuin ProsperCartin® omassa hostingissa, hosting-tarjoajan palvelimen tulee täyttää ProsperCart® ohjelmiston palvelinvaatimukset:

Linux-käyttöjärjestelmä

Apache http-palvelin, jossa mod_rewrite moduuli asennettuna. 

PHP 7. PHP:n seuraavat laajennusosat täytyy olla aktivoitu päälle:

  • php_zip
  • php_xml
  • php_gd2
  • PEAR
  • PEAR:Mail, PEAR:Mail_mime, PEAR:Net_SMTP
  • cURL
  • mbstring
  • iconv
  • SoapClient

Lisäksi PHP:n asetuksissa tulee olla magic_quotes sekä safe_mode pois päältä ja allow_url_fopen tulee olla "1". Varmuuden vuoksi max_input_vars on hyvä olla ainakin 5000.

set_time_limit() käyttöoikeus vaaditaan (massa-ajoja varten).

MySQL 5 - 5.5.37 -tietokanta.Tietokantaan pitää pystyä luomaan taulujen lisäksi myös näkymiä (VIEW). 

GIT

ProsperCartia® suositellaan asennettavaksi palvelimelle, jossa on SSL tuki, jolloin hallinta ja ostoskori ladataan aina salatun SSL-yhteyden läpi. SSL-salaus estää hakkereita nappaamasta salasanoja ja muita salaisia tietoja tietoliikenteestä. HTTPS pitää sijaita samalla palvelimella ja samassa kansiossa kuin HTTP toimiakseen ProsperCartissa®. SSL tuen lisäksi palvelun tarjoajalta tulee hankkia SSL sertifikaatti, jos salattua yhteyttä halutaan käyttää (suositus).

ProsperCart® voidaan asentaa myös täysin salaamattomalle HTTP palvelimelle, mutta silloin mm. muutamat pankit varoittavat sivuston suojaamattomuudesta ja osa asiakkaista saattaa varoa antamasta omia tietojansa.